# Uses of Class
org.eclipse.birt.report.model.api.ResultSetColumnHandle

Packages that use ResultSetColumnHandle
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.impl
org.eclipse.birt.report.model.api.simpleapi
Report element representations in the BIRT simple API environment.

## Uses of ResultSetColumnHandle in org.eclipse.birt.report.model.api

Subclasses of ResultSetColumnHandle in org.eclipse.birt.report.model.api
Modifier and Type
Class
Description
`class`
`OdaResultSetColumnHandle`
Represents the handle of one column in the oda result set.

## Uses of ResultSetColumnHandle in org.eclipse.birt.report.model.api.impl

Methods in org.eclipse.birt.report.model.api.impl with parameters of type ResultSetColumnHandle
Modifier and Type
Method
Description
`IResultSetColumn`
SimpleElementFactory.`createResultSetColumn(ResultSetColumnHandle columnHandle)`

## Uses of ResultSetColumnHandle in org.eclipse.birt.report.model.api.simpleapi

Methods in org.eclipse.birt.report.model.api.simpleapi with parameters of type ResultSetColumnHandle
Modifier and Type
Method
Description
`IResultSetColumn`
ISimpleElementFactory.`createResultSetColumn(ResultSetColumnHandle columnHandle)`
Creates the IResultSetColumn instance.